| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPropertyGridIteratorBase Class Reference
Class List by Category » wxPropertyGrid

`#include <wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridIteratorBase:
[legend]

## Detailed Description

# wxPropertyGridIterator

Preferable way to iterate through contents of wxPropertyGrid, wxPropertyGridManager, and wxPropertyGridPage.

See wxPropertyGridInterface::GetIterator() for more information about usage.

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions

| wxPropertyGridIteratorBase ()
void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property. More...
void | Init (wxPropertyGridPageState *state, int flags, wxPGProperty *property, int dir=1)
void | Init (wxPropertyGridPageState *state, int flags, int startPos=wxTOP, int dir=0)
void | Next (bool iterateChildren=true)
| Iterate to the next property. More...
void | Prev ()
| Iterate to the previous property. More...
void | SetBaseParent (wxPGProperty *baseParent)
| Set base parent, ie a property when, in which iteration returns, it ends. More...

## Constructor & Destructor Documentation

wxPropertyGridIteratorBase::wxPropertyGridIteratorBase | ( |  | ) |

## Member Function Documentation

void wxPropertyGridIteratorBase::Assign | ( | const wxPropertyGridIteratorBase & | it | ) |

bool wxPropertyGridIteratorBase::AtEnd | ( |  | ) | const

wxPGProperty* wxPropertyGridIteratorBase::GetProperty | ( |  | ) | const

Get current property.

void wxPropertyGridIteratorBase::Init | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | wxPGProperty * | property,
|  | int | dir = `1`
| ) |  |

void wxPropertyGridIteratorBase::Init | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | int | startPos = `wxTOP`,
|  | int | dir = `0`
| ) |  |

void wxPropertyGridIteratorBase::Next | ( | bool | iterateChildren = `true` | ) |

Iterate to the next property.

void wxPropertyGridIteratorBase::Prev | ( |  | ) |

Iterate to the previous property.

void wxPropertyGridIteratorBase::SetBaseParent | ( | wxPGProperty * | baseParent | ) |

Set base parent, ie a property when, in which iteration returns, it ends.

Default base parent is the root of the used wxPropertyGridPageState.